package urlClassLoader.close;

import java.io.IOException;
import java.io.PrintStream;
import java.lang.reflect.Method;
import java.net.URL;
import java.net.URLClassLoader;

public class UrlClassLoaderExample {
    // Because of warnings.
    private static PrintStream out = System.out;
    
    /** WORKING in b89 */
    public static void main(String... args) throws Throwable {
        URLClassLoader ucl = new URLClassLoader(
                new URL[]{new URL("http://www.javacourses.com/classes/")});
        Class clazz = ucl.loadClass("Tester");
        clazz.getMethod("main", String[].class).invoke(clazz.newInstance(), (Object)new String[]{"fasdfa"});

        // Reload the updated classes
        ucl = new URLClassLoader(
                new URL[]{new URL("http://www.javacourses.com/classes/")});
        //...

            // THE OLD WAY: no URLClassLoader.close();
//        ucl = null;
//        System.gc();
//        System.gc();
//        System.gc();
//        // THE NEW WAY
//        ucl.close();



    }
}
